Use this API to list, retrieve, pause, and resume the batched background migrations running on an instance.
These endpoints require administrator access to the instance.
Get the list of batched background migrations
GET /api/v4/admin/batched_background_migrations
FE version
Parameters
| Name | Type | Description |
|---|---|---|
pageQuery | Integer | Current page number Default: 1Example: 1 |
per_Query | Integer | Number of items per page Default: 20Example: 20 |
statusQuery | String | Filter by status Allowed values: paused,active,finished,failed,finalizing,finalized |
databaseQuery | String | The name of the database,mainAllowed values: main,ci,secDefault: main |
job_Query | String | Filter migrations by job class name |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | 401 Unauthorized | — |
403 | 403 Forbidden | — |
Retrieve a batched background migration
GET /api/v4/admin/batched_background_migrations/{id}
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | The batched background migration id |
databaseQuery | String | The name of the database Allowed values: main,ci,secDefault: main |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | 401 Unauthorized | — |
403 | 403 Forbidden | — |
404 | 404 Not found | — |
Pause a batched background migration
PUT /api/v4/admin/batched_background_migrations/{id}/pause
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | The batched background migration id |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
database | String | The name of the database Allowed values: main,ci,secDefault: main |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | 401 Unauthorized | — |
403 | 403 Forbidden | — |
404 | 404 Not found | — |
422 | You can pause only active batched background migrations. | — |
Resume a batched background migration
PUT /api/v4/admin/batched_background_migrations/{id}/resume
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | Integer | The batched background migration id |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
database | String | The name of the database Allowed values: main,ci,secDefault: main |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
400 | Bad Request | — |
401 | 401 Unauthorized | — |
403 | 403 Forbidden | — |
404 | 404 Not found | — |
422 | You can resume only paused batched background migrations. | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesBatchedBackgroundMigration
| Property | Type | Description |
|---|---|---|
column_ | String | Example:id |
created_ | String (date- | Example:2022- |
estimated_ | String | Example:1 day |
id | String | Example:1234 |
job_ | String | Example:Copy |
progress | Number | Example:50 |
status | String | Example:active |
table_ | String | Example:events |